﻿async function loadhtml(containerId, url, header) {
    const elem = document.getElementById(containerId);
    if (elem != null) {
        try {
            const currentHost = window.location.host;
            const newUrl = `${window.location.protocol}//${currentHost}${url}`;
            // HEAD-Anfrage senden, um zu prüfen, ob die Datei existiert
            const headResponse = await fetch(newUrl, { method: 'HEAD' });
            if (headResponse.ok) {
                // Datei existiert, also den Inhalt abrufen
                const response = await fetch(newUrl);
                const html = await response.text();
                elem.innerHTML = html;
            } else {
                // Datei existiert nicht, eine Fehlermeldung anzeigen
                elem.innerHTML = '<p>File not found.</p>';
            }
        } catch (error) {
            // Fehlerbehandlung, z.B. Netzwerkfehler
            console.error('Cannot load file:', error);
            elem.innerHTML = '<p>Cannot load file.</p>';
        }
    }
}
